Index: gcc/ChangeLog
===================================================================
--- gcc/ChangeLog	(.../tags/gcc_6_5_0_release)
+++ gcc/ChangeLog	(.../branches/gcc-6-branch)
@@ -1,3 +1,10 @@
+2018-11-07  Max Filippov  <jcmvbkbc@gmail.com>
+
+	Backport from mainline
+	2018-11-05  Max Filippov  <jcmvbkbc@gmail.com>
+
+	* config/xtensa/uclinux.h (XTENSA_ALWAYS_PIC): Change to 0.
+
 2018-10-26  Release Manager
 
 	* GCC 6.5.0 released.
Index: gcc/config/xtensa/uclinux.h
===================================================================
--- gcc/config/xtensa/uclinux.h	(.../tags/gcc_6_5_0_release)
+++ gcc/config/xtensa/uclinux.h	(.../branches/gcc-6-branch)
@@ -59,8 +59,8 @@
 #undef LOCAL_LABEL_PREFIX
 #define LOCAL_LABEL_PREFIX	"."
 
-/* Always enable "-fpic" for Xtensa Linux.  */
-#define XTENSA_ALWAYS_PIC 1
+/* Don't enable "-fpic" for Xtensa uclinux.  */
+#define XTENSA_ALWAYS_PIC 0
 
 #undef TARGET_LIBC_HAS_FUNCTION
 #define TARGET_LIBC_HAS_FUNCTION no_c99_libc_has_function
